import pytest

from django.core.management import call_command
from django.core.management.base import CommandError

from hobo.environment.models import ServiceBase


def test_cook(db, fake_notify, monkeypatch):
    monkeypatch.setattr(ServiceBase, 'is_resolvable', lambda x: True)
    monkeypatch.setattr(ServiceBase, 'has_valid_certificate', lambda x: True)
    call_command('cook', 'tests_schemas/recipe.json')
    assert(len(fake_notify) == 3)


def test_cook_unresolvable(db, fake_notify, monkeypatch):
    monkeypatch.setattr(ServiceBase, 'is_resolvable', lambda x: False)
    with pytest.raises(CommandError) as e_info:
        call_command('cook', 'tests_schemas/recipe.json')
    assert 'is not resolvable' in str(e_info.value)
